## Can I help with improving Manjari?

Yes you can! Manjari is an open-source project, meaning the source code—or "source design" if you will—that is used to build the font files are freely available to improve upon. Font making requires a fair bit of technical work and depending on what you'd like to do, some things might be more fun depending on your technical skills. Please start by reading and exploring the source code and design files provided.

## I like to modify some of the glyphs or opentype rules and redistribute the font. What are the recommendations to do that?

Manjari is licensed as Open Font License, which gives you the freedom to modify the font for your need and redistribute it as per the license. However a few points should be noted:

* If the modified and redistributed font has the same name of original font, it will overwrite existing font in operating systems. A user won't be able to use the original Manjari font. If editable documents are opened and saved in same operating system, they will be re-rendered in the modified version, which the user might not want. So avoid this disruption by renaming the modified version of the font.
* The glyphs, its design, its engineering, its opentype rules are the identity of the font. If you are renaming the font, please choose a completely different name that has no relation with Manjari. For example, Manjari New, Manjari Modern etc would give a misunderstanding that the designer of Manjari released new version of Manjari and would attribute the new font with the designer. This is undesirable to the designer since the modified font cannot be supported by the designer. Please spare the designer of the original font from responding to support requests that actually stem from bugs in a modified version.
* See section 3 and 4 of OFL license under "PERMISSION & CONDITIONS"
